Last Comment Bug 1188111 - Failed to read 'hs' and 'ds' errors in add to calendar button's drop down list
: Failed to read 'hs' and 'ds' errors in add to calendar button's drop down list
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: General (show other bugs)
: Lightning 4.0.1.2
: Unspecified Unspecified
-- normal (vote)
: 4.0.2
Assigned To: Merike Sell (:merike)
:
:
Mentors:
Depends on:
Blocks: ltn402
  Show dependency treegraph
 
Reported: 2015-07-27 14:20 PDT by [:MakeMyDay]
Modified: 2015-08-08 03:36 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
bug1188111 (1.31 KB, patch)
2015-07-28 06:38 PDT, Merike Sell (:merike)
philipp: review+
philipp: approval‑calendar‑aurora+
philipp: approval‑calendar‑beta+
philipp: approval‑calendar‑esr+
Details | Diff | Splinter Review

Description User image [:MakeMyDay] 2015-07-27 14:20:43 PDT
Localization for the list of "add as event/task" toolbar buttons seems to be incomplete. ds and hs cannot be resolved. For some emails, ds isn't offered in the list at all.

Zeitstempel: 27.07.2015 22:55:59
Fehler: Failed to read 'hs' from chrome://global/locale/languageNames.properties. Error: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIStringBundle.GetStringFromName]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://calendar/modules/calUtils.jsm -> file:///C:/Users/.../AppData/Roaming/Thunderbird/Profiles/7yrfxmv9.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js :: calGetString :: line 676"  data: no]

Zeitstempel: 27.07.2015 22:55:59
Fehler: Failed to read 'ds' from chrome://global/locale/languageNames.properties. Error: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIStringBundle.GetStringFromName]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://calendar/modules/calUtils.jsm -> file:///C:/Users/.../AppData/Roaming/Thunderbird/Profiles/7yrfxmv9.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js :: calGetString :: line 676"  data: no]
Comment 1 User image Stefan Sitter 2015-07-28 00:01:02 PDT
There are no existing 'hs' or 'ds' localizations. 
But 'hsb' (Upper Sorbian) and 'dsb' (Lower Sorbian) exists.
Comment 2 User image Philipp Kewisch [:Fallen] 2015-07-28 01:03:04 PDT
Looks like something with the extractor. Merike, can you advise?
Comment 3 User image Merike Sell (:merike) 2015-07-28 06:38:42 PDT
Created attachment 8639839 [details] [diff] [review]
bug1188111

It seems Sorbian is the first three character locale included into Lightning.

This should fix it, I have not tested it though. How would I build Lightning with all locales locally?
Comment 4 User image Philipp Kewisch [:Fallen] 2015-07-28 07:24:29 PDT
Comment on attachment 8639839 [details] [diff] [review]
bug1188111

Review of attachment 8639839 [details] [diff] [review]:
-----------------------------------------------------------------

I think the easiest way to test would be to just copy in the calendar-dsb/lightning-dsb chrome directories (or jars) and then editing chrome.manifest to include them. Codewise this looks fine, but obviously some testing would be nice.
Comment 5 User image [:MakeMyDay] 2015-07-28 12:52:26 PDT
We should consider this for 4.0.2, too.
Comment 6 User image Merike Sell (:merike) 2015-07-30 02:25:05 PDT
I ended up modifying the file in a profile using 4.0.1.2 from AMO. Worked as expected for me after that: no more errors for Sorbian and extraction itself still worked for en-US. Even Upper Sorbian seemed to pick up data from email.
Comment 7 User image Philipp Kewisch [:Fallen] 2015-08-04 14:55:23 PDT
url:        https://hg.mozilla.org/releases/comm-esr38/rev/2b7c498c0b74e6cc8fd32675605c16b1632667cd
changeset:  2b7c498c0b74e6cc8fd32675605c16b1632667cd
user:       Merike Sell <merike.sell@eesti.ee>
date:       Tue Aug 04 23:54:59 2015 +0200
description:
Bug 1188111 - Failed to read 'hs' and 'ds' errors in add to calendar button's drop down list. r=philipp,a=rkent
Comment 8 User image Philipp Kewisch [:Fallen] 2015-08-04 14:57:30 PDT
pushed to comm-esr38 since we needed to push something for testing the m-esr38 merge. This still needs to be pushed on aurora/beta/central.
Comment 10 User image Philipp Kewisch [:Fallen] 2015-08-08 03:27:03 PDT
url:        https://hg.mozilla.org/releases/comm-aurora/rev/8e324eaa1acce37164b4d56e58c2367c19900adb
changeset:  8e324eaa1acce37164b4d56e58c2367c19900adb
user:       Merike Sell <merike.sell@eesti.ee>
date:       Sat Aug 08 11:26:05 2015 +0100
description:
Bug 1188111 - Failed to read 'hs' and 'ds' errors in add to calendar button's drop down list. r/a=philipp
Comment 11 User image Philipp Kewisch [:Fallen] 2015-08-08 03:34:45 PDT
url:        https://hg.mozilla.org/releases/comm-beta/rev/527220c6962b925dc54ad747835095f338ff6ded
changeset:  527220c6962b925dc54ad747835095f338ff6ded
user:       Merike Sell <merike.sell@eesti.ee>
date:       Sat Aug 08 11:26:05 2015 +0100
description:
Bug 1188111 - Failed to read 'hs' and 'ds' errors in add to calendar button's drop down list. r/a=philipp

Note You need to log in before you can comment on or make changes to this bug.